FreeBSD : py-cryptography -- tag forgery vulnerability (9e2d0dcf-9926-11e8-a92d-0050562a4d7b)

High Nessus Plugin ID 111541

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

The Python Cryptographic Authority (PyCA) project reports :

finalize_with_tag() allowed tag truncation by default which can allow tag forgery in some cases. The method now enforces the min_tag_length provided to the GCM constructor

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?3d05caa7

Plugin Details

Severity: High

ID: 111541

File Name: freebsd_pkg_9e2d0dcf992611e8a92d0050562a4d7b.nasl

Version: 1.1

Type: local

Published: 2018/08/06

Modified: 2018/08/06

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:py27-cryptography, p-cpe:/a:freebsd:freebsd:py34-cryptography, p-cpe:/a:freebsd:freebsd:py35-cryptography, p-cpe:/a:freebsd:freebsd:py36-cryptography, p-cpe:/a:freebsd:freebsd:py37-cryptography, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/08/06

Vulnerability Publication Date: 2018/07/17

Reference Information

CVE: CVE-2018-10903